﻿<%--
Page for creating a new user
--%>

<%@ Page Language="C#" MasterPageFile="../Site.Master" AutoEventWireup="true" CodeBehind="CreateBook.aspx.cs"
    Inherits="Library.Web.Medium.CreateBook" Title="Untitled Page" %>

<%--
Page title
--%>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderTitle" runat="server">
    Library System -> Medium management -> Create Book</asp:Content>
<%--
Page sub navigation
--%>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderSubNavigation"
    runat="server">
    <ul>
        <li><span class="self"><strong>Create Book</strong></span></li>
        <li>
            <asp:LinkButton ID="LinkButtonBack" runat="server" CausesValidation="False" OnClick="LinkButtonBack_Click">Back</asp:LinkButton></li>
    </ul>
</asp:Content>
<%--
Page content
--%>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <h3 align="center">
        Insert book data:</h3>
    <br />
    <table style="width: 100%;" align="center">
        <tr>
            <td>
                Title:
            </td>
            <td>
                <asp:TextBox ID="TextBoxTitle" runat="server" TabIndex="1"></asp:TextBox>
                <asp:RequiredFieldValidator ID="RequiredFieldValidatorTitle" runat="server" ControlToValidate="TextBoxTitle"
                    ErrorMessage="RequiredFieldValidator" Display="Dynamic">Title must not be empty!  </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                ISBN:
            </td>
            <td>
                <asp:TextBox ID="TextBoxIsbn" runat="server" TabIndex="2" TextMode="SingleLine"></asp:TextBox>
                <asp:CustomValidator ID="CustomValidatorIsbn" runat="server" ErrorMessage="CustomValidator"
                    ControlToValidate="TextBoxIsbn" Display="Dynamic" EnableClientScript="False"
                    OnServerValidate="CustomValidatorIsbn_ServerValidate">ISBN already in use!</asp:CustomValidator>
            </td>
        </tr>
        <tr>
            <td>
                Author:
            </td>
            <td>
                <asp:TextBox ID="TextBoxAuthor" runat="server" TextMode="SingleLine" 
                    TabIndex="3"></asp:TextBox>
            </td>
        </tr>
        <tr>
        <td></td>
        </tr>
        <tr>
            <td colspan="2" align="center">
                <asp:Button ID="ButtonReset" runat="server" Text="Reset" CausesValidation="False"
                    OnClick="ButtonReset_Click" />&nbsp;
                <asp:Button ID="ButtonCancel" runat="server" Text="Cancel" CausesValidation="False"
                    OnClick="ButtonCancel_Click" />&nbsp;
                <asp:Button ID="ButtonCreate" runat="server" TabIndex="4" Text="Create" 
                    OnClick="ButtonCreate_Click" />
            </td>
        </tr>
    </table>
</asp:Content>
