﻿<%--
Page for creating a new user
--%>
<%@ Page Language="C#" MasterPageFile="../Site.Master" AutoEventWireup="true" CodeBehind="Create.aspx.cs" Inherits="Library.Web.User.Create" Title="Untitled Page" %>

<%--
Page title
--%>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderTitle" runat="server">Library System -> User management -> Create User</asp:Content>

<%--
Page sub navigation
--%>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderSubNavigation" runat="server">
    <ul>
    <li><span class="self"><strong>Create user</strong></span></li>
    <li>
        <asp:LinkButton ID="LinkButtonBack" runat="server" CausesValidation="False" 
            onclick="LinkButtonBack_Click">Back</asp:LinkButton></li>
</ul>
</asp:Content>

<%--
Page content
--%>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <h3 align="center">Insert user data:</h3>
    <p align="center">&nbsp;</p>
    <table style="width:100%;" align="center">
    <tr>
        <td>
            Name:</td>
        <td>
            <asp:TextBox ID="TextBoxName" runat="server" TabIndex="1"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidatorName" runat="server" 
                ControlToValidate="TextBoxName" ErrorMessage="RequiredFieldValidator" 
                Display="Dynamic">Name must not be empty!</asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td>
            Address:</td>
        <td>
            <asp:TextBox ID="TextBoxAddress" runat="server" Columns="40" TabIndex="4"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td colspan="2" align="center">
            <asp:Button ID="ButtonReset" runat="server" Text="Reset" 
                CausesValidation="False" onclick="ButtonReset_Click" />&nbsp;
            <asp:Button ID="ButtonCancel" runat="server" Text="Cancel" 
                CausesValidation="False" onclick="ButtonCancel_Click" />&nbsp;
            <asp:Button ID="ButtonCreate" runat="server" TabIndex="5" Text="Create" 
                onclick="ButtonCreate_Click" />
        </td>
    </tr>
    </table>
</asp:Content>
